<?php
/* --------------------------------------------------------------
   BasicElement.inc.php 2019-03-14
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

namespace Gambio\StyleEdit\Core\Components\Variant\Commands;

use Exception;
use Gambio\StyleEdit\Core\Command\CommandInterface;
use Gambio\StyleEdit\Core\Components\Variant\Entities\VariantOption;
use Gambio\StyleEdit\Core\Options\Commands\AbstractSaveCommand;
use Gambio\StyleEdit\Core\Options\Entities\OptionInterface;
use Gambio\StyleEdit\Core\Repositories\ConfigurationRepository;
use Gambio\StyleEdit\Core\SingletonPrototype;
use Gambio\StyleEdit\Core\Components\Theme\StyleEditThemeService;
use Gambio\StyleEdit\Core\Components\Variant\Services\VariantService;

/**
 * Class VariantSaveCommand
 * @package Gambio\StyleEdit\Core\Components\Variant\Commands
 */
class VariantSaveCommand extends AbstractSaveCommand implements CommandInterface
{
    
    /**
     * @var VariantService
     */
    protected $receiver;
    
    /**
     * @var StyleEditThemeService
     */
    protected $themeService;
    
    
    /**
     * Execute the command
     *
     * @throws Exception
     */
    public function execute(): void
    {
        $this->saveOption();
        
        if (is_a($this->option, VariantOption::class)) {
            $this->configurationRepository()->restoreVariantSettings($this->option);
        }
    }
    
    
    /**
     * Execute the command
     */
    public function rollback(): void
    {
        // TODO: Implement rollback() method.
    }
}