<?php
/* --------------------------------------------------------------
  function.product.php 2019-09-30
  Gambio GmbH
  http://www.gambio.de
  Copyright (c) 2019 Gambio GmbH
  Released under the GNU General Public License (Version 2)
  [http://www.gnu.org/licenses/gpl-2.0.html]
  --------------------------------------------------------------*/

/**
 * @param                          $params
 * @param Smarty_Internal_Template $template
 *
 * @return string
 * @throws EntityNotFoundException
 */
function smarty_function_product_list($params, &$template)
{
    $callback = function ($value) {
        return str_replace("'", '', $value);
    };
    
    $params = array_map($callback, $params);
    $params = [
        (int)$params['categoryId'],
        $params['listType'],
        $params['random'] === 'true',
        (int)$params['maxProducts'],
        explode(',', $params['products']),
        $params['id'],
        $params['class'],
        new IdType((int)$params['languageId']),
        MainFactory::create(LanguageCode::class, new StringType((string)$params['languageCode'])),
        $params['presentation']
    ];
    $result = MainFactory::create(ProductListWidgetOutputCommand::class, ...$params)->execute() ?? '';
    if (!$result) {
        $result = '';
    }
    
    return $result;
}
