DROP TABLE IF EXISTS `configuration`;
CREATE TABLE `configuration` (
	`configuration_id` int(11) NOT NULL AUTO_INCREMENT,
	`configuration_key` varchar(64) NOT NULL DEFAULT '',
	`configuration_value` text NOT NULL,
	`configuration_group_id` int(11) NOT NULL DEFAULT '0',
	`sort_order` int(5) DEFAULT NULL,
	`last_modified` timestamp NOT NULL ON UPDATE CURRENT_TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	`date_added` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
	`use_function` varchar(255) DEFAULT NULL,
	`set_function` text,
	PRIMARY KEY (`configuration_id`),
	UNIQUE KEY `configuration_key` (`configuration_key`),
	KEY `idx_configuration_group_id` (`configuration_group_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ;

INSERT INTO `configuration` (`configuration_key`,`configuration_value`,`configuration_group_id`,`sort_order`,`use_function`,`set_function`,`date_added`) VALUES
	('ACCOUNT_B2B_STATUS', 'false', 5,  7,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_COMPANY', 'true', 5,  3,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_COMPANY_VAT_CHECK', 'true', 18,  4,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_COMPANY_VAT_GROUP', 'false', 18,  4,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_COMPANY_VAT_LIVE_CHECK', 'true', 18,  4,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_DEFAULT_B2B_STATUS', 'false', 5,  8,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_DOB', 'false', 5,  2,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_FAX', 'true', 5,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_GENDER', 'true', 5,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_OPTIONS', 'both', 5,  6,  NULL,  'gm_cfg_select_option(array(''account'', ''guest'', ''both''),', NOW()),
	('ACCOUNT_TYPE_DEFAULT', 'account', 5,  6,  NULL,  'gm_cfg_select_option(array(''account'', ''guest''),', NOW()),
	('ACCOUNT_STATE', 'false', 5,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_ADDITIONAL_INFO', 'false', 5,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_SPLIT_STREET_INFORMATION', 'false', 5,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_SUBURB', 'false', 5,  4,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_TELEPHONE', 'true', 5,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_VAT_BLOCK_ERROR', 'true', 18,  4,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACCOUNT_NAMES_OPTIONAL', 'false', 5,  9,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACTIVATE_GIFT_SYSTEM', 'false', 17,  2,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACTIVATE_NAVIGATOR', 'false', 17,  10,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACTIVATE_PAGE_TOKEN', 'true', 17,  13,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACTIVATE_REVERSE_CROSS_SELLING', 'true', 17,  12,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ACTIVATE_SHIPPING_STATUS', 'true', 0,  6,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ADVANCED_SEARCH_DEFAULT_OPERATOR', 'and', 1,  30,  NULL,  'gm_cfg_select_option(array(''and'', ''or''),', NOW()),
	('AFTERBUY_ACTIVATED', 'false', 21,  6,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('AFTERBUY_ORDERSTATUS', '1', 21,  5,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('AFTERBUY_PARTNERID', '', 21,  2,  NULL,  NULL, NOW()),
	('AFTERBUY_PARTNERPASS', '', 21,  3,  NULL,  NULL, NOW()),
	('AFTERBUY_USERID', '', 21,  4,  NULL,  NULL, NOW()),
	('ALLOW_ADD_TO_CART', 'false', 1,  39,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('APPEND_PROPERTIES_MODEL', 'true', 1,  45,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ATTRIBUTE_STOCK_CHECK', 'true', 9,  2,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('CACHE_CHECK', 'false', 11,  4,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('CACHE_LIFETIME', '3600', 11,  3,  NULL,  NULL, NOW()),
	('CALCULATE_TAX_BASED_ON_VAT_ID', 'true', 18,  8,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('CC_KEYCHAIN', 'tobechanged', 1,  44,  NULL,  '', NOW()),
	('CC_NUMBER_MIN_LENGTH', '10', 2,  13,  NULL,  'cfg_number_required_input(', NOW()),
	('CC_OWNER_MIN_LENGTH', '3', 2,  12,  NULL,  'cfg_number_required_input(', NOW()),
	('CHECK_CLIENT_AGENT', 'true', 15,  8,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('COMPANY_NAME', '', 1,  3,  '',  '', NOW()),
	('COMPRESS_EXPORT', 'false', 20,  3,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('CONFIG_CALCULATE_IMAGE_SIZE', 'true', 4,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('CONTACT_US_EMAIL_ADDRESS', '', 12,  20,  NULL,  NULL, NOW()),
	('CONTACT_US_FORWARDING_STRING', '', 12,  25,  NULL,  NULL, NOW()),
	('CONTACT_US_NAME', 'Ihr Name', 12,  21,  NULL,  NULL, NOW()),
	('CONTACT_US_REPLY_ADDRESS', '', 12,  22,  NULL,  NULL, NOW()),
	('CONTACT_US_REPLY_ADDRESS_NAME', 'Ihr Name', 12,  23,  NULL,  NULL, NOW()),
	('CSV_SEPERATOR', '|', 20,  2,  NULL,  NULL, NOW()),
	('CSV_TEXTSIGN', '', 20,  1,  NULL,  NULL, NOW()),
	('CURRENT_TEMPLATE', 'Honeygrid', 1,  41,  NULL,  'xtc_cfg_pull_down_template_sets(', NOW()),
	('DATE_TIMEZONE', 'Europe/Berlin', 1,  47,  '',  'cfg_pull_down_timezones(', NOW()),
	('DB_CACHE', 'false', 11,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('DB_CACHE_EXPIRE', '3600', 11,  6,  NULL,  NULL, NOW()),
	('DEFAULT_CURRENCY', 'EUR', 6,  0,  NULL,  NULL, NOW()),
	('DEFAULT_CUSTOMERS_STATUS_ID', '2', 1,  38,  'xtc_get_customers_status_name',  'xtc_cfg_pull_down_default_customers_status_list(', NOW()),
	('DEFAULT_CUSTOMERS_STATUS_ID_ADMIN', '0', 1,  35,  'xtc_get_customers_status_name',  'xtc_cfg_pull_down_customers_status_list(', NOW()),
	('DEFAULT_CUSTOMERS_STATUS_ID_GUEST', '1', 1,  36,  'xtc_get_customers_status_name',  'xtc_cfg_pull_down_customers_status_list(', NOW()),
	('DEFAULT_CUSTOMERS_VAT_STATUS_ID', '3', 18,  23,  'xtc_get_customers_status_name',  'xtc_cfg_pull_down_default_customers_status_list(', NOW()),
	('DEFAULT_CUSTOMERS_VAT_STATUS_ID_LOCAL', '3', 18,  24,  'xtc_get_customers_status_name',  'xtc_cfg_pull_down_default_customers_status_list(', NOW()),
	('DEFAULT_LANGUAGE', 'de', 6,  0,  NULL,  NULL, NOW()),
	('DEFAULT_ORDERS_STATUS_ID', '1', 6,  0,  NULL,  NULL, NOW()),
	('DEFAULT_PRODUCTS_VPE_ID', '', 6,  0,  NULL,  NULL, NOW()),
	('DEFAULT_SHIPPING_STATUS_ID', '1', 6,  0,  NULL,  NULL, NOW()),
	('DELETE_GUEST_ACCOUNT', 'true', 5,  7,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('DIR_FS_CACHE', 'cache', 11,  2,  NULL,  NULL, NOW()),
	('DISPLAY_CART', 'true', 1,  28,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('DISPLAY_PAGE_PARSE_TIME', 'false', 10,  4,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('DOWNLOAD_BY_REDIRECT', 'false', 13,  2,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('DOWNLOAD_ENABLED', 'true', 13,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('DOWNLOAD_MIN_ORDERS_STATUS', '3', 13,  5,  NULL,  'cfg_download_order_status_checkboxes(', NOW()),
	('DOWNLOAD_STOCK_CHECK', 'true', 9,  3,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('DOWNLOAD_UNALLOWED_PAYMENT', 'banktransfer,cod,invoice,moneyorder', 13,  5,  NULL,  NULL, NOW()),
	('EMAIL_BILLING_ADDRESS', '', 12,  32,  NULL,  NULL, NOW()),
	('EMAIL_BILLING_FORWARDING_STRING', '', 12,  37,  NULL,  NULL, NOW()),
	('EMAIL_BILLING_NAME', 'Ihr Name', 12,  33,  NULL,  NULL, NOW()),
	('EMAIL_BILLING_REPLY_ADDRESS', '', 12,  34,  NULL,  NULL, NOW()),
	('EMAIL_BILLING_REPLY_ADDRESS_NAME', 'Ihr Name', 12,  35,  NULL,  NULL, NOW()),
	('EMAIL_BILLING_SUBJECT', 'Verrechnung', 12,  36,  NULL,  NULL, NOW()),
	('EMAIL_BILLING_SUBJECT_ORDER', 'Ihre Bestellung {$nr}, am {$date}', 12,  38,  NULL,  NULL, NOW()),
	('EMAIL_FROM', '', 1,  15,  NULL,  'cfg_email_required_input(', NOW()),
	('EMAIL_LINEFEED', 'LF', 12,  10,  NULL,  'gm_cfg_select_option(array(''LF'', ''CRLF''),', NOW()),
	('EMAIL_SIGNATURE', '', 12,  16,  NULL,  'xtc_cfg_textarea(', NOW()),
	('EMAIL_SUPPORT_ADDRESS', '', 12,  26,  NULL,  NULL, NOW()),
	('EMAIL_SUPPORT_FORWARDING_STRING', '', 12,  31,  NULL,  NULL, NOW()),
	('EMAIL_SUPPORT_NAME', 'Ihr Name', 12,  27,  NULL,  NULL, NOW()),
	('EMAIL_SUPPORT_REPLY_ADDRESS', '', 12,  28,  NULL,  NULL, NOW()),
	('EMAIL_SUPPORT_REPLY_ADDRESS_NAME', 'Ihr Name', 12,  29,  NULL,  NULL, NOW()),
	('EMAIL_SUPPORT_SUBJECT', 'Informationen zu Ihrem Kundenkonto', 12,  30,  NULL,  NULL, NOW()),
	('EMAIL_TRANSPORT', 'mail', 12,  1,  NULL,  'gm_cfg_select_option(array(''sendmail'', ''smtp'', ''mail''),', NOW()),
	('EMAIL_USE_HTML', 'true', 12,  11,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ENTRY_CITY_MIN_LENGTH', '2', 2,  8,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_COMPANY_MIN_LENGTH', '2', 2,  6,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_DOB_MIN_LENGTH', '10', 2,  3,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_EMAIL_ADDRESS_CHECK', 'false', 12,  12,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('ENTRY_EMAIL_ADDRESS_MIN_LENGTH', '6', 2,  4,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_FIRST_NAME_MIN_LENGTH', '2', 2,  1,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_LAST_NAME_MIN_LENGTH', '2', 2,  2,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_PASSWORD_MIN_LENGTH', '5', 2,  11,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_POSTCODE_MIN_LENGTH', '4', 2,  7,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_STATE_MIN_LENGTH', '2', 2,  9,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_STREET_ADDRESS_MIN_LENGTH', '5', 2,  5,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_HOUSENUMBER_MIN_LENGTH', '1', 2,  5,  NULL,  'cfg_number_required_input(', NOW()),
	('ENTRY_TELEPHONE_MIN_LENGTH', '0', 2,  10,  NULL,  'cfg_number_required_input(', NOW()),
	('ERROR_REPORT_EMAIL', '', 10,  8,  NULL,  '', NOW()),
	('ERROR_REPORT_HIDE_E_ALL', 'False', 10,  20,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_COMPILE_ERROR', 'False', 10,  15,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_COMPILE_WARNING', 'False', 10,  16,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_CORE_ERROR', 'True', 10,  13,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_CORE_WARNING', 'True', 10,  14,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_DEPRECATED', 'True', 10,  23,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_ERROR', 'False', 10,  9,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_NOTICE', 'True', 10,  12,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_PARSE', 'False', 10,  11,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_RECOVERABLE_ERROR', 'False', 10,  22,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_STRICT', 'True', 10,  21,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_USER_ERROR', 'False', 10,  17,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_USER_NOTICE', 'False', 10,  19,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_USER_WARNING', 'False', 10,  18,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('ERROR_REPORT_HIDE_E_WARNING', 'False', 10,  10,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('EXPECTED_PRODUCTS_FIELD', 'date_expected', 1,  24,  NULL,  'gm_cfg_select_option(array(''products_name'', ''date_expected''),', NOW()),
	('EXPECTED_PRODUCTS_SORT', 'asc', 1,  23,  NULL,  'gm_cfg_select_option(array(''asc'', ''desc''),', NOW()),
	('GAMBIO_SHOP_KEY', '', 753,  1,  NULL,  NULL, NOW()),
	('GENDER_MANDATORY', 'false', 5,  9,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('GM_SET_OUT_OF_STOCK_ATTRIBUTES', 'false', 9,  NULL,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('GM_SET_OUT_OF_STOCK_ATTRIBUTES_SHOW', 'false', 9,  NULL,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('GM_SET_OUT_OF_STOCK_PRODUCTS', 'false', 9,  NULL,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('GOOGLE_CONVERSION', 'false', 19,  0,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('GOOGLE_CONVERSION_ID', '', 19,  2,  NULL,  NULL, NOW()),
	('GOOGLE_CONVERSION_LABEL', 'Purchase', 19,  4,  NULL,  NULL, NOW()),
	('GOOGLE_LANG', 'de', 19,  3,  NULL,  NULL, NOW()),
	('GROUP_CHECK', 'false', 17,  9,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('GZIP_COMPRESSION', 'true', 14,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('GZIP_LEVEL', '9', 14,  2,  NULL,  NULL, NOW()),
	('HTML_COMPRESSION', 'false', 14,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('CSS_INLINE_OUTPUT', 'false', 14,  6,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('HTTP_CACHING', 'true', 11,  7,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('IMAGE_MANIPULATOR', 'image_manipulator_GD2.php', 4,  3,  NULL,  'xtc_cfg_select_option(array(''image_manipulator_GD2.php'', ''image_manipulator_GD1.php''),', NOW()),
	('IMAGE_QUALITY', '75', 4,  2,  NULL,  'cfg_number_required_min_max_input(0,100,', NOW()),
	('LOGGING_ENABLED', 'true', 10,  0,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('LOG_SQL_BACKEND', 'false', 10,  6,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('LOG_SQL_FRONTEND', 'false', 10,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('MAX_ADDRESS_BOOK_ENTRIES', '5', 3,  1,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_ALSO_PURCHASED', '4', 3,  16,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_ALSO_PURCHASED_DAYS', '100', 3,  17,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_BESTSELLERS', '5', 3,  15,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_CATEGORIES_PER_ROW', '2', 3,  13,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_MANUFACTURERS_IN_A_LIST', '1', 3,  7,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_MANUFACTURER_NAME_LEN', '15', 3,  8,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_NEW_PRODUCTS_DAYS', '30', 3,  22,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_NEW_REVIEWS', '6', 3,  9,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_ORDER_HISTORY', '5', 3,  19,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_PAGE_LINKS', '4', 3,  3,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_PRODUCTS_IN_ORDER_HISTORY_BOX', '6', 3,  18,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_PRODUCTS_NEW', '10', 3,  14,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_SEARCH_RESULTS', '8', 3,  2,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_DISPLAY_SPECIAL_PRODUCTS', '8', 3,  4,  NULL,  'cfg_number_required_min_max_input(1, 1000000,', NOW()),
	('MAX_DISPLAY_UPCOMING_PRODUCTS', '5', 3,  6,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_MANUFACTURERS_LIST', '1', 3,  7,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_PRODUCTS_QTY', '1000000', 3,  21,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_RANDOM_SELECT_NEW', '30', 3,  11,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_RANDOM_SELECT_REVIEWS', '10', 3,  10,  NULL,  'cfg_number_required_input(', NOW()),
	('MAX_RANDOM_SELECT_SPECIALS', '10', 3,  12,  NULL,  'cfg_number_required_input(', NOW()),
	('MIN_DISPLAY_ALSO_PURCHASED', '1', 2,  16,  NULL,  'cfg_number_required_input(', NOW()),
	('MIN_DISPLAY_BESTSELLERS', '1', 2,  15,  NULL,  'cfg_number_required_input(', NOW()),
	('MODULE_BRICKFOX_EXCLUDE_CATEGORIES', '', 26,  5,  NULL,  NULL, NOW()),
	('MODULE_BRICKFOX_EXCLUDE_PRODUCTS', '', 26,  6,  NULL,  NULL, NOW()),
	('MODULE_BRICKFOX_PASSWORD', '', 26,  4,  NULL,  NULL, NOW()),
	('MODULE_BRICKFOX_PORT', '443', 26,  2,  NULL,  NULL, NOW()),
	('MODULE_BRICKFOX_STATUS', 'False', 26,  7,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('MODULE_BRICKFOX_URL', '', 26,  1,  NULL,  NULL, NOW()),
	('MODULE_BRICKFOX_USERNAME', '', 26,  3,  NULL,  NULL, NOW()),
	('MODULE_DELISPRINT_FILE', 'delisprint.txt', 6,  1,  NULL,  '', NOW()),
	('MODULE_DELISPRINT_STATUS', 'True', 6,  1,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('MODULE_EXPORT_INSTALLED', 'magnalister.php', 6,  0,  NULL,  NULL, NOW()),
	('MODULE_GLS_FILE', 'gls.txt', 6,  1,  NULL,  '', NOW()),
	('MODULE_GLS_STATUS', 'True', 6,  1,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('MODULE_HERMES_FILE', 'hermes.txt', 6,  1,  NULL,  '', NOW()),
	('MODULE_HERMES_STATUS', 'True', 6,  1,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('MODULE_ORDER_TOTAL_COD_FEE_RULES', 'free|AT:3.00,DE:3.58,00:9.99|flat|AT:3.00,DE:3.58,00:9.99|item|AT:3.00,DE:3.58,00:9.99|table|AT:3.00,DE:3.58,00:9.99|zones|CA:4.50,US:3.00,00:9.99|upse|AT:3.00,DE:3.58,00:9.99|chronopost|FR:4.00,00:9.99|dhl|AT:3.00,DE:3.58,00:9.99|ups|AT:3.00,DE:3.58,00:9.99|chp|CH:4.00,00:9.99|dpd|DE:4.00,00:9.99|ap|AT:3.63,00:9.99|zonese|DE:4.00,00:9.99|selfpickup|DE:4.00,00:9.99|gambioultra|DE:4.00,00:9.99|fedexeu|DE:4.00,00:9.99|dp|DE:4.00,00:9.99', 6,  0,  '',  'cfg_cod_fee_form(', NOW()),
	('MODULE_ORDER_TOTAL_COD_FEE_SORT_ORDER', '35', 6,  0,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_COD_FEE_STATUS', 'true', 6,  0,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_COD_FEE_TAX_CLASS', '0', 6,  0,  'xtc_get_tax_class_title',  'xtc_cfg_pull_down_tax_classes(', NOW()),
	('MODULE_ORDER_TOTAL_COD_FEE_TRANSFER_CHARGE', 'ap|00:0|chp|00:0|chronopost|00:0|dhl|00:0|dp|00:0|dpd|00:0|fedexeu|00:0|flat|00:0|free|00:0|freeamount|00:0|gambioultra|00:0|item|00:0|selfpickup|00:0|table|00:0|ups|00:0|upse|00:0|zones|00:0|zonese|00:0', 6,  0,  '',  'cfg_cod_fee_transfer_charge_form(', NOW()),
	('MODULE_ORDER_TOTAL_COUPON_CALC_TAX', 'Standard', 6,  7,  NULL,  'xtc_cfg_select_option(array(''None'', ''Standard'', ''Credit Note''), ', NOW()),
	('MODULE_ORDER_TOTAL_COUPON_INC_SHIPPING', 'false', 6,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_COUPON_INC_TAX', 'true', 6,  6,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_COUPON_SHOW_INFO', 'false', 6, 9, NULL, 'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_COUPON_SORT_ORDER', '70', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_COUPON_STATUS', 'true', 6,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_COUPON_TAX_CLASS', '0', 6,  0,  'xtc_get_tax_class_title',  'xtc_cfg_pull_down_tax_classes(', NOW()),
	('MODULE_ORDER_TOTAL_DISCOUNT_SORT_ORDER', '20', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_DISCOUNT_STATUS', 'true', 6,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_FREEAMOUNT_FREE', 'AT:3.00,DE:3.58,00:9.99', 6,  0,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_GV_CALC_TAX', 'None', 6,  7,  NULL,  'xtc_cfg_select_option(array(''None'', ''Standard'', ''Credit Note''), ', NOW()),
	('MODULE_ORDER_TOTAL_GV_CREDIT_TAX', 'false', 6,  8,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_GV_INC_SHIPPING', 'False', 6,  5,  NULL,  'gm_cfg_select_option(array(''True'', ''False''), ', NOW()),
	('MODULE_ORDER_TOTAL_GV_INC_TAX', 'true', 6,  6,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_GV_QUEUE', 'true', 6,  3,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_GV_SHOW_INFO', 'false', 6, 9, NULL, 'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_GV_SORT_ORDER', '80', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_GV_STATUS', 'true', 6,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_GV_TAX_CLASS', '0', 6,  0,  'xtc_get_tax_class_title',  'xtc_cfg_pull_down_tax_classes(', NOW()),
	('MODULE_ORDER_TOTAL_INSTALLED', 'ot_subtotal.php;ot_discount.php;ot_coupon.php;ot_shipping.php;ot_cod_fee.php;ot_gv.php;ot_subtotal_no_tax.php;ot_tax.php;ot_total_netto.php;ot_total.php', 6,  0,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_SHIPPING_DESTINATION', 'national', 6,  5,  NULL,  'xtc_cfg_select_option(array(''national'', ''international'', ''both''), ', NOW()),
	('MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING', 'false', 6,  3,  NULL,  'xtc_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER', '50', 6,  4,  'currencies->format',  NULL, NOW()),
	('MODULE_ORDER_TOTAL_SHIPPING_SORT_ORDER', '30', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_SHIPPING_STATUS', 'true', 6,  1,  NULL,  'xtc_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_SHIPPING_TAX_CLASS', '0', 6,  7,  'xtc_get_tax_class_title',  'xtc_cfg_pull_down_tax_classes(', NOW()),
	('MODULE_ORDER_TOTAL_SUBTOTAL_NO_TAX_SORT_ORDER', '96', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_SUBTOTAL_NO_TAX_STATUS', 'true', 6,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_SUBTOTAL_SORT_ORDER', '10', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_SUBTOTAL_STATUS', 'true', 6,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_TAX_SORT_ORDER', '97', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_TAX_STATUS', 'true', 6,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_TOTAL_NETTO_SORT_ORDER', '98', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_TOTAL_NETTO_STATUS', 'false', 6,  1,  NULL,  'xtc_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_ORDER_TOTAL_TOTAL_SORT_ORDER', '99', 6,  2,  NULL,  NULL, NOW()),
	('MODULE_ORDER_TOTAL_TOTAL_STATUS', 'true', 6,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_PAYMENT_SEPA_COMPANY', '', 6,  0,  NULL,  NULL, NOW()),
	('MODULE_PAYMENT_SEPA_CREDITOR_ID', '', 6,  0,  NULL,  NULL, NOW()),
	('MODULE_PAYMENT_SEPA_POSTCODE_CITY', '', 6,  0,  NULL,  NULL, NOW()),
	('MODULE_PAYMENT_SEPA_SEND_MANDATE', 'true', 6,  0,  NULL,  'gm_cfg_select_option(array(''true'', ''false''), ', NOW()),
	('MODULE_PAYMENT_SEPA_STREET_ADDRESS', '', 6,  0,  NULL,  NULL, NOW()),
	('MODULE_SHIPPING_INSTALLED', '', 6,  0,  NULL,  NULL, NOW()),
	('MO_PICS', '1000', 4,  3,  NULL,  NULL, NOW()),
	('NEW_SIGNUP_DISCOUNT_COUPON', '', 17,  5,  NULL,  NULL, NOW()),
	('NEW_SIGNUP_GIFT_VOUCHER_AMOUNT', '', 17,  4,  NULL,  NULL, NOW()),
	('PAYPAL_API_KEY', '120,116,99,111,109,109,101,114,99,101,95,83,104,111,112,112,105,110,103,67,97,114,116,95', 6,  5,  NULL,  NULL, NOW()),
	('PAYPAL_API_PWD', '', 25,  5,  NULL,  NULL, NOW()),
	('PAYPAL_API_SANDBOX_PWD', '', 25,  5,  NULL,  NULL, NOW()),
	('PAYPAL_API_SANDBOX_SIGNATURE', '', 25,  6,  NULL,  NULL, NOW()),
	('PAYPAL_API_SANDBOX_USER', '', 25,  4,  NULL,  NULL, NOW()),
	('PAYPAL_API_SIGNATURE', '', 25,  6,  NULL,  NULL, NOW()),
	('PAYPAL_API_USER', '', 25,  4,  NULL,  NULL, NOW()),
	('PAYPAL_COUNTRY_MODE', 'de', 25,  16,  NULL,  'xtc_cfg_select_option(array(''de'', ''uk''),', NOW()),
	('PAYPAL_EXPRESS_ADDRESS_CHANGE', 'true', 25,  17,  NULL,  'xtc_cfg_select_option(array(''true'', ''false''),', NOW()),
	('PAYPAL_EXPRESS_ADDRESS_OVERRIDE', 'true', 25,  18,  NULL,  'xtc_cfg_select_option(array(''true'', ''false''),', NOW()),
	('PAYPAL_EXPRESS_PAYMENTACTION', 'Sale', 25,  16,  NULL,  'xtc_cfg_select_option(array(''Sale'', ''Authorization'', ''Order''), ', NOW()),
	('PAYPAL_MODE', 'live', 25,  1,  NULL,  'xtc_cfg_select_option(array(''sandbox'', ''live''),', NOW()),
	('PAYPAL_ORDER_STATUS_PENDING_ID', '1', 25,  11,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('PAYPAL_ORDER_STATUS_REJECTED_ID', '1', 25,  12,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('PAYPAL_ORDER_STATUS_SUCCESS_ID', '2', 25,  10,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('PAYPAL_ORDER_STATUS_TMP_ID', '1', 25,  9,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('PAYPAL_SHOP_LOGO', '', 25,  13,  NULL,  '', NOW()),
	('PREFER_GZHANDLER', 'false', 14,  3,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('PRICE_IS_BRUTTO', 'true', 1,  42,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('PRICE_PRECISION', '4', 1,  43,  NULL,  '', NOW()),
	('PRODUCT_IMAGE_INFO_BEVEL', '', 4,  21,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_INFO_DROP_SHADDOW', '', 4,  27,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_INFO_ELLIPSE', '', 4,  23,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_INFO_FRAME', '', 4,  26,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_INFO_GREYSCALE', '', 4,  22,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_INFO_HEIGHT', '350', 4,  10,  NULL,  'cfg_number_required_min_max_input(1,'''',', NOW()),
	('PRODUCT_IMAGE_INFO_MERGE', '', 4,  25,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_INFO_MOTION_BLUR', '', 4,  28,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_INFO_ROUND_EDGES', '', 4,  24,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_INFO_WIDTH', '369', 4,  9,  NULL,  'cfg_number_required_min_max_input(1,'''',', NOW()),
	('PRODUCT_IMAGE_POPUP_BEVEL', '', 4,  29,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_POPUP_DROP_SHADDOW', '', 4,  35,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_POPUP_ELLIPSE', '', 4,  31,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_POPUP_FRAME', '', 4,  34,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_POPUP_GREYSCALE', '', 4,  30,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_POPUP_HEIGHT', '600', 4,  12,  NULL,  'cfg_number_required_min_max_input(1,'''',', NOW()),
	('PRODUCT_IMAGE_POPUP_MERGE', '', 4,  33,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_POPUP_MOTION_BLUR', '', 4,  36,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_POPUP_ROUND_EDGES', '', 4,  32,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_POPUP_WIDTH', '600', 4,  11,  NULL,  'cfg_number_required_min_max_input(1,'''',', NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_BEVEL', '', 4,  13,  '',  '', NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_DROP_SHADDOW', '', 4,  19,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_ELLIPSE', '', 4,  15,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_FRAME', '', 4,  18,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_GREYSCALE', '', 4,  14,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_HEIGHT', '130', 4,  8,  NULL,  'cfg_number_required_min_max_input(1,'''',', NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_MERGE', '', 4,  17,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_MOTION_BLUR', '', 4,  20,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_ROUND_EDGES', '', 4,  16,  NULL,  NULL, NOW()),
	('PRODUCT_IMAGE_THUMBNAIL_WIDTH', '150', 4,  7,  NULL,  'cfg_number_required_min_max_input(1,'''',', NOW()),
	('PRODUCT_LIST_FILTER', '1', 1,  52,  NULL,  NULL, NOW()),
	('PRODUCT_REVIEWS_VIEW', '5', 3,  20,  NULL,  'cfg_number_required_input(', NOW()),
	('QUICKLINK_ACTIVATED', 'true', 17,  11,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('REVIEW_TEXT_MIN_LENGTH', '50', 2,  14,  NULL,  'cfg_number_required_input(', NOW()),
	('SEARCH_IN_ATTR', 'false', 1,  50,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SEARCH_IN_DESC', 'true', 1,  51,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SECURITY_CODE_LENGTH', '10', 17,  3,  NULL,  'cfg_number_required_min_max_input(1, 16,', NOW()),
	('SENDMAIL_PATH', '/usr/sbin/sendmail', 12,  2,  NULL,  NULL, NOW()),
	('SEND_EMAILS', 'true', 12,  13,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SEND_EMAIL_BY_BILLING_ADRESS', 'CUSTOMER_MAIL', 12,  40,  NULL,  'gm_cfg_select_option(array(''CUSTOMER_MAIL'', ''SHOP_OWNER''),', NOW()),
	('SESSION_CHECK_IP_ADDRESS', 'False', 15,  5,  NULL,  'gm_cfg_select_option(array(''True'', ''False''),', NOW()),
	('SESSION_CHECK_SSL_SESSION_ID', 'False', 15,  3,  NULL,  'gm_cfg_select_option(array(''True'', ''False''),', NOW()),
	('SESSION_CHECK_USER_AGENT', 'False', 15,  4,  NULL,  'gm_cfg_select_option(array(''True'', ''False''),', NOW()),
	('SESSION_FORCE_COOKIE_USE', 'False', 15,  2,  NULL,  'gm_cfg_select_option(array(''True'', ''False''),', NOW()),
	('SESSION_RECREATE', 'True', 15,  7,  NULL,  'gm_cfg_select_option(array(''True'', ''False''),', NOW()),
	('SESSION_TIMEOUT', '24', 15,  8,  NULL,  NULL, NOW()),
	('SHIPPING_BOX_PADDING', '0', 7,  5,  NULL,  'cfg_number_required_input(', NOW()),
	('SHIPPING_BOX_WEIGHT', '0', 7,  4,  NULL,  'cfg_number_required_step_input(0.001,', NOW()),
	('SHIPPING_INFOS', '3889891', 7,  5,  NULL,  'cfg_number_required_input(', NOW()),
	('SHIPPING_MAX_WEIGHT', '50', 7,  3,  NULL,  'cfg_number_required_min_max_step_input(1, 99999, 0.1,', NOW()),
	('SHIPPING_ORIGIN_COUNTRY', '81', 7,  1,  'xtc_get_country_name',  'xtc_cfg_pull_down_country_list(', NOW()),
	('SHIPPING_ORIGIN_ZIP', '12345', 7,  2,  NULL,  NULL, NOW()),
	('SHOW_CART_SHIPPING_COSTS', 'true', 7,  8,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SHOW_CART_SHIPPING_WEIGHT', 'true', 7,  9,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SHOW_COUNTS', 'false', 1,  32,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SHOW_SHIPPING', 'true', 7,  6,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SHOW_UNTRANSLATED_MENUITEMS', 'false', 17,  13,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SMTP_AUTH', 'false', 12,  8,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('SMTP_Backup_Server', 'localhost', 12,  4,  NULL,  NULL, NOW()),
	('SMTP_ENCRYPTION', 'none', 12,  9,  NULL,  'gm_cfg_select_option(array(''none'', ''ssl'', ''tls''),', NOW()),
	('SMTP_MAIN_SERVER', 'localhost', 12,  3,  NULL,  NULL, NOW()),
	('SMTP_PASSWORD', 'Please Enter', 12,  7,  NULL,  NULL, NOW()),
	('SMTP_PORT', '25', 12,  5,  NULL,  NULL, NOW()),
	('SMTP_USERNAME', 'Please Enter', 12,  6,  NULL,  NULL, NOW()),
	('SQL_LOG_MAX_FILESIZE', '1', 10,  7,  NULL,  NULL, NOW()),
	('STOCK_ALLOW_CHECKOUT', 'true', 9,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('STOCK_CHECK', 'true', 9,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('STOCK_LIMITED', 'true', 9,  4,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('STOCK_MARK_PRODUCT_OUT_OF_STOCK', '***', 9,  6,  NULL,  NULL, NOW()),
	('STOCK_REORDER_LEVEL', '5', 9,  7,  NULL,  NULL, NOW()),
	('CHECK_STOCK_BEFORE_SHOPPING_CART', 'false', 9,  8,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('STORE_COUNTRY', '81', 1,  10,  'xtc_get_country_name',  'xtc_cfg_pull_down_country_list(', NOW()),
	('STORE_DB_TRANSACTIONS', 'false', 10,  8,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('STORE_NAME', 'Shopname', 1,  1,  NULL,  NULL, NOW()),
	('STORE_NAME_ADDRESS', '', 1,  17,  NULL,  'xtc_cfg_textarea(', NOW()),
	('STORE_OWNER', 'Shopbetreiber', 1,  2,  NULL,  NULL, NOW()),
	('STORE_OWNER_EMAIL_ADDRESS', '', 1,  14,  NULL,  'cfg_email_required_input(', NOW()),
	('STORE_PAGE_PARSE_TIME', 'false', 10,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('STORE_PAGE_PARSE_TIME_LOG', '/tmp/', 10,  2,  NULL,  NULL, NOW()),
	('STORE_PARSE_DATE_TIME_FORMAT', '%d/%m/%Y %H:%M:%S', 10,  3,  NULL,  NULL, NOW()),
	('STORE_ZONE', '88', 1,  11,  'xtc_cfg_get_zone_name',  'xtc_cfg_pull_down_zone_list(', NOW()),
	('TRADER_FAX', '', 1,  13,  '',  '', NOW()),
	('TRADER_FIRSTNAME', '', 1,  4,  '',  '', NOW()),
	('TRADER_LOCATION', '', 1,  9,  '',  '', NOW()),
	('TRADER_NAME', '', 1,  5,  '',  '', NOW()),
	('TRADER_STREET', '', 1,  6,  '',  '', NOW()),
	('TRADER_STREET_NUMBER', '', 1,  7,  '',  '', NOW()),
	('TRADER_TEL', '', 1,  12,  '',  '', NOW()),
	('TRADER_ZIPCODE', '', 1,  8,  '',  '', NOW()),
	('UNFOLD_FAVS_BOX', 'false', 1,  48,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('USE_CACHE', 'false', 11,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('USE_DEFAULT_LANGUAGE_CURRENCY', 'false', 1,  25,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('USE_WYSIWYG', 'true', 17,  1,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('_PAYMENT_SKRILL_CANCELED_STATUS_ID', '0', 32,  8,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('_PAYMENT_SKRILL_EMAILID', '', 32,  1,  NULL,  NULL, NOW()),
	('_PAYMENT_SKRILL_EXPERTMODE', '0', 32,  9,  NULL,  NULL, NOW()),
	('_PAYMENT_SKRILL_MERCHANTID', '', 32,  3,  NULL,  NULL, NOW()),
	('_PAYMENT_SKRILL_MODULES', '', 32,  4,  NULL,  NULL, NOW()),
	('_PAYMENT_SKRILL_PENDING_STATUS_ID', '0', 32,  7,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('_PAYMENT_SKRILL_PROCESSED_STATUS_ID', '0', 32,  6,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('_PAYMENT_SKRILL_PWD', '', 32,  2,  NULL,  NULL, NOW()),
	('_PAYMENT_SKRILL_TMP_STATUS_ID', '0', 32,  5,  'xtc_get_order_status_name',  'xtc_cfg_pull_down_order_statuses(', NOW()),
	('EMAIL_MAX_LIMIT', '1000',12, 99,  '', '', NOW()),
	('MODULE_PAYMENT_AMAZONADVPAY_ALIAS', 'AMAZ',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_BILLSAFE_3_INSTALLMENT_ALIAS', 'BSRA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_BILLSAFE_3_INVOICE_ALIAS', 'BSRE',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_CASH_ALIAS', 'BAR',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_EUSTANDARDTRANSFER_ALIAS', 'EUS',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_BANKTRANSFER_ALIAS', 'LS',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SEPA_ALIAS', 'SEPA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_COD_ALIAS', 'NN',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_INVOICE_ALIAS', 'RECH',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MONEYORDER_ALIAS', 'VK',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYPAL3_ALIAS', 'PP',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPCC_ALIAS', 'HPCC',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPDC_ALIAS', 'HPDC',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPDD_ALIAS', 'HPDD',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPGP_ALIAS', 'HPGP',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPIDL_ALIAS', 'HPID',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPPP_ALIAS', 'HPVK',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPPAY_ALIAS', 'HPPP',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPSU_ALIAS', 'HPSU',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPBS_ALIAS', 'HPBS',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPIV_ALIAS', 'HPIV',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPPF_ALIAS', 'HPPF',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_HPMK_ALIAS', 'HPMK',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_KLARNA_INVOICE_ALIAS', 'KLRE',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_KLARNA_PARTPAY_ALIAS', 'KLRA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_IPAYMENT_CC_ALIAS', 'IPCC',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_IPAYMENT_ELV_ALIAS', 'IPEL',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_ANZAHLUNGSKAUF_ALIAS', 'MAAN',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_CONFIG_ALIAS', 'MACO',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_CREDIT_CARD_ALIAS', 'MACC',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_DEBIT_CARD_ALIAS', 'MADC',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_ELV_ALIAS', 'MAEL',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_FINANZIERUNG_ALIAS', 'MAFI',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_PHONE_ALIAS', 'MAPH',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_RATENZAHLUNG_ALIAS', 'MARA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_RECHNUNGSKAUF_ALIAS', 'MARE',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_MASTERPAYMENT_SOFORTBANKING_ALIAS', 'MASO',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SHOPGATE_ALIAS', 'SHG',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_CC_ALIAS', 'SKCC',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_CGB_ALIAS', 'SKCB',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_CSI_ALIAS', 'SKCS',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_ELV_ALIAS', 'SKEL',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_GIROPAY_ALIAS', 'SKGP',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_IDEAL_ALIAS', 'SKID',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_MAE_ALIAS', 'SKMA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_NETPAY_ALIAS', 'SKNE',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_PSP_ALIAS', 'SKPP',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_PWY_ALIAS', 'SKPR',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_SFT_ALIAS', 'SKSU',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_WLT_ALIAS', 'SKEW',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_PAYINV_ALIAS', 'SKRE',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SKRILL_PAYINS_ALIAS', 'SKRA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYONE_CC_ALIAS', 'PACC',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYONE_ELV_ALIAS', 'PAEL',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYONE_COD_ALIAS', 'PANN',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYONE_OTRANS_ALIAS', 'PAUW',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYONE_WLT_ALIAS', 'PAPP',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYONE_INSTALLMENT_ALIAS', 'PARA',0, NULL,  '', '', NOW()),
	('MODULE_PAYONE_INVOICE_ALIAS', 'PARE',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYONE_PREPAY_ALIAS', 'PAVK',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_PAYGATE_SSL_ALIAS', 'PAYG',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_POSTFINANCEAG_BASIC_ALIAS', 'POFI',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_POSTFINANCEAG_DINERS_ALIAS', 'PODI',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_POSTFINANCEAG_MASTERCARD_ALIAS', 'POMA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_POSTFINANCEAG_AMEX_ALIAS', 'POAM',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_POSTFINANCEAG_VISA_ALIAS', 'POVI',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_RSMARTSEPA_ALIAS', 'RSMA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SAFERPAYGW_ALIAS', 'SAPA',0, NULL,  '', '', NOW()),
	('MODULE_PAYMENT_SOFORT_SOFORTUEBERWEISUNG_ALIAS', 'SÜ',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_GAMBIOULTRA_ALIAS', 'ARTV',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_CHRONOPOST_ALIAS', 'CHRO',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_DP_ALIAS', 'DHL',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_DHL_ALIAS', 'DHLA',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_DPD_ALIAS', 'DPD',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_FEDEXEU_ALIAS', 'FED',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_HERMESPROPS_ALIAS', 'HERM',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_INTERKURIER_ALIAS', 'INT',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_AP_ALIAS', 'ATP',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_FLAT_ALIAS', 'PAU',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_CHP_ALIAS', 'CHP',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_SELFPICKUP_ALIAS', 'ABH',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_UPSE_ALIAS', 'UPSE',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_UPS_ALIAS', 'UPS',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_ZONES_ALIAS', 'UNV',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_B2CZONES_ALIAS', 'VER',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_TABLE_ALIAS', 'VKPG',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_ITEM_ALIAS', 'VKST',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_FREEAMOUNT_ALIAS', 'FREI',0, NULL,  '', '', NOW()),
	('MODULE_SHIPPING_ZONESE_ALIAS', 'VERS',0, NULL,  '', '', NOW()),
	('MOVE_ONLY_IF_NO_GUEST', 'true',18, 4,  '', 'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('CURRENT_THEME', 'Honeygrid', 0, 42,  '', 'xtc_cfg_pull_down_template_sets(', NOW());

INSERT INTO `configuration` (`configuration_key`,`configuration_value`,`configuration_group_id`,`sort_order`,`use_function`,`set_function`,`date_added`) VALUES
	('STORE_OWNER_VAT_ID', '',18, 3,  NULL, NULL, NOW()),
	('MAX_DISPLAY_CROSSSELLING', '4',3, 16,  NULL, 'cfg_number_required_input(', NOW()),
	('USE_BUSTFILES', 'false', 14,  5,  NULL,  'gm_cfg_select_option(array(''true'', ''false''),', NOW()),
	('MODULE_PAYMENT_GAMBIO_HUB_DATA_OBSERVER', 'True', 6,  1,  '',  'gm_cfg_select_option(array(''True'', ''False''), ', NOW());
